<template>
  <div
    type="button"
    class="bg-light card px-3 py-2"
    :class="{ 'shadow-sm': isMouseOver }"
    @mouseover="onMouseOver"
    @mouseout="onMouseOut"
    @click="handleClick"
  >
    <div class="card-body p-0 d-flex justify-content-center align-items-center">
      <div class="text-muted">
        <app-icon icon="plus"></app-icon>
        <span class="ml-4">Add New Card</span>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
export default defineComponent({
  data() {
    return {
      isMouseOver: false,
    };
  },
  methods: {
    onMouseOver() {
      this.isMouseOver = true;
    },
    onMouseOut() {
      this.isMouseOver = false;
    },
    handleClick() {
      this.$emit("click");
    },
  },
});
</script>

<style scoped>
.card {
  width: 325px;
}
</style>
